html,
body {
  padding: 0;
  margin: 0;
  overflow: hidden;
  background-color: #ccc;
}
#jolecule-container {
  display: flex;
  display: -webkit-flex;
  flex-direction: column;
  -webkit-flex-direction: column;
  background-color: #ccc;
  width: 100%;
  height: 100%;
  font-size: 14px;
  line-height: 1.5em;
  letter-spacing: 0.1em;
  font-weight: normal;
  font-family: 'Helvetica Neue', Helvetica, sans-serif;
}
#jolecule-body {
  overflow: hidden;
  -webkit-flex: 1 1;
  display: flex;
  display: -webkit-flex;
  flex-direction: row;
  -webkit-flex-direction: row;
  width: auto;
  margin: 0;
  border-spacing: 0;
  padding-left: 0px;
  padding-right: 0px;
  padding-top: 0px;
}
#jolecule-sequence-container {
  background-color: #ccc;
  border-right: 3px solid #000;
  padding-bottom: 0px;
  display: flex;
  display: -webkit-flex;
  flex-direction: column;
  -webkit-flex-direction: column;
}
#jolecule-sequence {
  flex: 1;
  -webkit-flex: 1;
  padding-left: 10px;
  padding-right: 30px;
  overflow-x: hidden;
  overflow-y: auto;
}
.jolecule-residue {
  padding-left: 5px;
  padding-right: 5px;
}
#jolecule-protein-container {
  min-height: 0;
  min-width: 0;
  flex: 1;
  display: flex;
  flex-direction: column;
  margin: 0;
  padding: 0;
  font-size: 14px;
  line-height: 1.5em;
  letter-spacing: 0.1em;
  color: #666;
}
#jolecule-views-container {
  background-color: #ccc;
  border-left: 2px solid #aaa;
  display: flex;
  display: -webkit-flex;
  flex-direction: column;
  -webkit-flex-direction: column;
}
#jolecule-views {
  width: 300px;
  flex: 1;
  -webkit-flex: 1;
  overflow-x: hidden;
  overflow-y: scroll;
  padding-left: 10px;
  padding-right: 30px;
}
.jolecule-view {
  display: flex;
  display: -webkit-flex;
  flex-direction: row;
  -webkit-flex-direction: row;
  padding: 7px;
  box-sizing: border-box;
  margin: 0px 5px 5px 5px;
  -moz-border-radius: 3px;
  border-radius: 3px;
}
.jolecule-view,
.jolecule-view-text {
  font-size: 12px;
  font-family: Helvetica, sans-serif;
  letter-spacing: 0.1em;
  line-height: 1.5em;
  background-color: #bbb;
  color: #333;
  margin-bottom: 5px;
}
.jolecule-view-text::selection {
  background-color: #ccc;
}
.jolecule-view-text.textarea {
  font-size: 12px;
  letter-spacing: 0.1em;
  font-family: Helvetica, sans-serif;
  /*color: #333;*/
  /*background-color: #888;*/
}
.jolecule-sub-header {
  padding-top: 12px;
  padding-left: 20px;
  padding-bottom: 12px;
  text-align: left;
  font-size: 14px;
  letter-spacing: 0.2em;
  color: #999;
  font-family: Helvetica, sans-serif;
  text-transform: uppercase;
}
.jolecule-selected-box {
  border: 2px solid #a88;
}
.jolecule-unselected-box {
  border: 2px solid rgba(100, 100, 100, 0);
}

@media screen and (max-width: 1200px) {
  html,
  body {
    font-size: 14px;
    line-height: 1.3em;
  }
}

@media screen and (max-width: 700px) {
  #jolecule-views-container,
  #jolecule-views {
    border: 0;
    width: 0;
    height: 0;
    padding: 0;
    visibility: collapse;
  }
}
